/*--------CSS RESET--------*/
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Prevent font size inflation */
html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}

/* Remove default margin in favour of better control in authored CSS */
body, h1, h2, h3, h4, p,
figure, blockquote, dl, dd {
  margin-block-end: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  line-height: 1.5;
}

/* Set shorter line heights on headings and interactive elements */
h1, h2, h3, h4,
button, input, label {
  line-height: 1.1;
}

/* Balance text wrapping on headings */
h1, h2,
h3, h4 {
  text-wrap: balance;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
  color: currentColor;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input, button,
textarea, select {
  font-family: inherit;
  font-size: inherit;
}

/* Make sure text areas without a rows attribute are not tiny */
textarea:not([rows]) {
  min-height: 10em;
}

/* Anything that has been anchored to should have extra scroll margin */
:target {
  scroll-margin-block: 5ex;
}

/*--------CSS RESET--------*/
body {
  margin: 0;
  padding: 0;
  font-family: Arial; 
  background: #fff;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

/* ----NAVBAR---- */

header {
  background-color: #fff;
}

li {
  list-style: none;
}

a {
  color: #000;
  text-decoration: none;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between; 
  padding: 0 1rem; 
  height: 3.5rem; 
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 1000;
  background-color: #fff;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.navbar {
  min-height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
}

.nav-menu {
  display: flex;
  top: 100%;
  justify-content: center;
  align-items: left;
  gap: 60px;
}

.nav-item-sale {
  margin: 0;
}

.nav-item-sale a {
  color: #ff0000;
}

.nav-branding {
  font-size: 1.8rem;
}

.hamburger {
  all: unset;
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: #333;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
  margin-left: 1.5rem;
}

.right-icons {
  display: flex;
  gap: 1rem;
}

.right-icons img {
  width: 1.5rem;
  height: 1.5rem;
}

.hamburger-menu {
  width: 1.5rem;
  height: 1.5rem;
}

/* --- Mobile Styles --- */
@media (max-width: 768px) {

  .hamburger {
    display: block;
  }

  .nav-branding {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 20;
  }

  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }
  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }
  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .nav-menu {
    position: absolute;
    left: -100%;
    top: 100%;
    gap: 0;
    flex-direction: column;
    background-color: #fff;
    width: 100%;
    text-align: left;
    transition: 0.3s;
    z-index: 999;
  }

  .nav-item {
    margin: 15px 0;
  }

  .nav-menu.active {
    left: 0;
  }
}

/* ----HEADER---- */


/* Save button */
.save-btn {
    position: absolute;
    top: 5px;
    right: 20px;
    font-size: 28px;
    cursor: pointer;
    user-select: none;
    transition: transform 0.2s;
    z-index: 2;
}

/* Hover effect */
.save-btn:hover {
    transform: scale(1.2);
}


  /* Default save (outline) */
.save-btn .save-icon {
    width: 100%;
    height: 100%;
    stroke: #000;
    fill: none; 
    transition: all 0.3s;
}

/* Active heart (filled) */
.save-btn.active .save-icon {
    fill: #000;       
    stroke: #000;     
}

/* ----FOOTER---- */
footer {
  padding-top: 2rem;
  margin-top: auto; 
}
.newsletter-section {
  border-top: 1px solid #333; 
}
.newsletter-section,
.help-section,
.legal-section {
  display: flex;
  align-items: center;
  justify-content: flex-start; 
  border-bottom: 1px solid #333;
  padding: 1rem 1rem 0.5rem 1rem;
}
.newsletter-section img,
.help-section img,
.legal-section img {
  margin-left: auto; 
  width: 1.5rem;
  height: 1.5rem;
}
.contact-section {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  padding: 1rem 1rem;
}
footer img {
  width: 1.5rem;
  height: 1.5rem;
}
.contact-section img {
  width: 2rem;
  height: 2rem;
}
.newsletter-section p,
.help-section p,
.legal-section p {
  margin: 0;
}
/* ----FOOTER---- */